<template>
  <lazy-theme-telegram-payment-withdrawal v-if="isShowPaymentPage"/>
  <div class="flex flex-col h-screen items-center justify-center space-y-6" v-else>
    <div class="text-xl">Url was consumed.</div>
    <el-button @click="onCloseTelegramWebApp()" type="danger">Close</el-button>
  </div>
</template>

<script lang="ts" setup>
  const {updateTelegramSsoToken, isShowPaymentPage, onCloseTelegramWebApp } = useTelegramWebApp();
  updateTelegramSsoToken();
</script>
